<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Patterns</title>
</head>
<body>
    <h3>Patterns in JavaScript</h3>
    
    <script>

        // for(let row = 0; row <= 5; row++){
        //     for(let col = 0; col <= 5; col++){
        //         document.write("* ");
        //     }
        //     document.write("<br>")
        // }

        
        document.write("<br>")
        document.write("RightSide Right Angle Traingle"+"<br>")
        function Patterns_5(num){
            let str = '';
            for(let row = 0; row < num; row++){
                for(let col = num-row; col > 0 ; col--){
                    str +="&nbsp;&nbsp;&nbsp;"
                }
                for(let col = 0; col < row; col++){
                    str +="*&nbsp;"
                }
                str +="<br>"
            }
            return str
        }
        document.write(Patterns_5(7)+"<br>");
        
       

        document.write("Hallow Square"+"<br>")
        function Patterns_4(num){
            let str = '';
            for(let row = 0; row < num; row++){
                for(let col = 0; col < num; col++){
                    if( col == 0 ||  col == num-1 || row == col || row + col == num-1){
                        str += "*&nbsp;&nbsp;"
                    }
                    else{
                        str += "&nbsp;&nbsp;&nbsp;&nbsp;"
                    }
                }
                str +="<br>"
            }
            return str
        }
        document.write(Patterns_4(9)+"<br>");



        function Patterns_3(num){
            let str = '';
            for(let row = 0; row <= num; row++){
                for(let col = 0; col < num-row; col++){
                    str += '* ';
                }
                str +="<br>"
            }
            return str
        }
        document.write(Patterns_3(5)+"<br>");

        

        function Patterns_2(num){
            let str = '';
            for(let row = 0; row <= num; row++){
                for(let col = 0; col < row; col++){
                    str += '* ';
                }
                str +="<br>"
            }
            return str
        }
        document.write(Patterns_2(5)+"<br>");

        function Patterns_1(num){
            let str = '';
            for(let row = 0; row < num; row++){
                for(let col = 0; col < num; col++){
                    str += '* ';
                }
                str +="<br>"
            }
            return str
        }
        document.write(Patterns_1(10)+"<br>");

        
    </script>
</body>
</html>